CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

Watcher Groups

The Watcher Groups endpoints create and manage groups of users who receive notifications for a certificate, and assign those groups to certificates.

Endpoints

Method Endpoint Description
GET /watcherGroups/all List watcher groups.
POST /watcherGroups/assign Assign watcher groups to certificate.
GET /watcherGroups/cert Groups assigned to certificate.
POST /watcherGroups/create Create watcher group.
DELETE /watcherGroups/delete/{group_id} Delete watcher group.
POST /watcherGroups/remove Remove watcher groups from certificate.
PUT /watcherGroups/update/{group_id} Update watcher group.
GET /watcherGroups/users/{department} Users for group by department.
GET /watcherGroups/{group_id} Get watcher group.
GET /watcherGroups/all

Lists the watcher groups.

Example Request

curl -X GET "https://<certsecure-backend-url>/watcherGroups/all" \
  -H "Authorization: Bearer <token>"

Example Response

[
    {
        "groupId": 2,
        "name": "DiscoveryWatchers",
        "department": "guest",
        "description": "Used to watch for expiry in discovered certificates",
        "members": [
            "[email protected]",
            "[email protected]"
        ],
        "createdBy": "[email protected]",
        "createdOn": "2026-06-26T19:58:23.443000"
    }
]

Responses

Status Code Description
200 Groups.
POST /watcherGroups/assign

Assigns watcher groups to a certificate.

Request Body (application/json)

Field Type Required Description
ca string Yes Name of the certificate authority (CA) as configured in CertSecure Manager.
groupIds array of integer Yes IDs of the watcher groups.
serialNumber string Yes Serial number of the certificate.

Example Request

curl -X POST "https://<certsecure-backend-url>/watcherGroups/assign" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"ca": "string", "groupIds": ["string"], "serialNumber": "string"}'

Responses

Status Code Description
200 Assigned.
GET /watcherGroups/cert

Returns the watcher groups assigned to a certificate.

Request Parameters

Name Located In Type Required Description
serialNumber Query string Yes Serial number of the certificate.
ca Query string Yes Name of the certificate authority (CA) as configured in CertSecure Manager.

Example Request

curl -X GET "https://<certsecure-backend-url>/watcherGroups/cert?serialNumber=<serialNumber>&ca=<ca>" \
  -H "Authorization: Bearer <token>"

Example Response

{
    "error": "serialNumber and ca query params are required"
}

Responses

Status Code Description
200 Groups.
POST /watcherGroups/create

Creates a watcher group with the users that should receive notifications.

Request Body (application/json)

Field Type Required Description
department string Yes Name of the department.
description string No -
members array of string Yes Non-empty list of user emails.
name string Yes Name of the resource.

Example Request

curl -X POST "https://<certsecure-backend-url>/watcherGroups/create" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"department": "string", "members": ["string"], "name": "string"}'

Responses

Status Code Description
200 The resource was created.
DELETE /watcherGroups/delete/{group_id}

Deletes a watcher group.

Request Parameters

Name Located In Type Required Description
group_id Path integer Yes ID of the watcher group.

Example Request

curl -X DELETE "https://<certsecure-backend-url>/watcherGroups/delete/<group_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 The resource was deleted.
POST /watcherGroups/remove

Removes watcher groups from a certificate.

Request Body (application/json)

Field Type Required Description
ca string Yes Name of the certificate authority (CA) as configured in CertSecure Manager.
groupIds array of integer Yes IDs of the watcher groups.
serialNumber string Yes Serial number of the certificate.

Example Request

curl -X POST "https://<certsecure-backend-url>/watcherGroups/remove" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"ca": "string", "groupIds": ["string"], "serialNumber": "string"}'

Responses

Status Code Description
200 Removed.
PUT /watcherGroups/update/{group_id}

Updates the name, description, or members of a watcher group.

Request Parameters

Name Located In Type Required Description
group_id Path integer Yes ID of the watcher group.

Request Body (application/json)

Field Type Required Description
description string No -
members array of string No -
name string No Name of the resource.

Example Request

curl -X PUT "https://<certsecure-backend-url>/watcherGroups/update/<group_id>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"description": "string", "members": ["string"], "name": "string"}'

Responses

Status Code Description
200 The resource was updated.
GET /watcherGroups/users/{department}

Returns the users of a department that can be added to a watcher group.

Request Parameters

Name Located In Type Required Description
department Path string Yes Name of the department.

Example Request

curl -X GET "https://<certsecure-backend-url>/watcherGroups/users/<department>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Users.
GET /watcherGroups/{group_id}

Returns a watcher group.

Request Parameters

Name Located In Type Required Description
group_id Path integer Yes ID of the watcher group.

Example Request

curl -X GET "https://<certsecure-backend-url>/watcherGroups/<group_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Group.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.